> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a product

> Creates a new product with the provided details including name, product number, status, tax group, and optional metadata. Returns the created product with all related data including variants, prices, and market status.



## OpenAPI

````yaml /swagger/management-api.json post /api/v1/{team_slug}/{app_slug}/products
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API support
    url: http://enad.io/support
  description: This is the documentation for Public API v1
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms/
  title: Public API
  version: '1.0'
servers:
  - url: //api.enad.io
security: []
paths:
  /api/v1/{team_slug}/{app_slug}/products:
    post:
      tags:
        - Products
      summary: Create a product
      description: >-
        Creates a new product with the provided details including name, product
        number, status, tax group, and optional metadata. Returns the created
        product with all related data including variants, prices, and market
        status.
      parameters:
        - description: App slug
          in: path
          name: app_slug
          required: true
          schema:
            type: string
        - description: Team slug
          in: path
          name: team_slug
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/internal_pkg_webserver_v1.CreateProductPayload
        description: Product data
        required: true
      responses:
        '201':
          description: Product created or updated successfully
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/internal_pkg_webserver_v1.OkResponseProduct
        '400':
          description: Invalid request (e.g. bad UUID, validation error)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '401':
          description: Unauthorized access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
      security:
        - BearerAuth: []
components:
  schemas:
    internal_pkg_webserver_v1.CreateProductPayload:
      properties:
        brand_id:
          description: Brand or series of a brand connected to product
          type: string
        custom:
          additionalProperties:
            type: string
          description: Custom fields
          type: object
        description:
          description: >-
            Deprecated: read-only in write payloads. Derived from
            html_description.
          type: string
        exclude_from_feeds:
          description: Whenever a product should exist in feeds or not. Default `false`
          type: boolean
        html_description:
          description: >-
            HTML description of the description fields. All of the fields which
            is not related to showing content, e.g <button> or <script> tags
            will be stripped from the input
          type: string
        html_short_description:
          description: >-
            HTML Shortdescription of the description fields. All of the fields
            which is not related to showing content, e.g <button> or <script>
            tags will be stripped from the input
          type: string
        market_status:
          items:
            $ref: '#/components/schemas/internal_pkg_webserver_v1.ProductMarketStatus'
          type: array
        meta_description:
          description: Meta description for SEO
          type: string
        meta_title:
          description: Meta title for SEO
          type: string
        package_dimensions:
          allOf:
            - $ref: >-
                #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Dimensions
          description: The package dimensions
        product_dimensions:
          allOf:
            - $ref: >-
                #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Dimensions
          description: The products dimensions
        product_name:
          description: Name of the product
          type: string
        product_number:
          description: Product number
          type: string
        product_type:
          description: Product type. Default 'simple'
          enum:
            - flexible
            - simple
          type: string
        short_description:
          description: >-
            Deprecated: read-only in write payloads. Derived from
            html_short_description.
          type: string
        slug:
          description: Slug for the product
          type: string
        status:
          description: Status of the product
          enum:
            - active
            - draft
            - inactive
            - archived
          type: string
        tax_group_slug:
          description: The tax group related to the product
          type: string
      required:
        - product_name
        - product_number
        - status
        - tax_group_slug
      type: object
    internal_pkg_webserver_v1.OkResponseProduct:
      properties:
        data:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Product
        details:
          description: >-
            Additional contextual information about the response. Used to
            provide supplementary details beyond the main data payload, such as
            validation warnings or processing notes
          items:
            type: string
          type: array
        success:
          type: boolean
      type: object
    internal_pkg_webserver_v1.ErrorMessage:
      properties:
        details:
          items:
            type: string
          type: array
        message:
          type: string
        success:
          type: boolean
      type: object
    internal_pkg_webserver_v1.ProductMarketStatus:
      properties:
        market_id:
          type: string
        status:
          enum:
            - active
            - inactive
            - draft
            - incomplete
            - archived
          type: string
        store_group_id:
          type: string
      required:
        - market_id
        - status
        - store_group_id
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.Dimensions:
      properties:
        capacity_milliliter:
          description: the capacity in milliliter
          minimum: 0
          type: integer
        depth:
          description: The products depth in millimeter
          minimum: 0
          type: integer
        diameter:
          description: the products diameter in millimeter
          minimum: 0
          type: integer
        height:
          description: The products height in millimeter
          minimum: 0
          type: integer
        length:
          description: The products length in millimeter
          minimum: 0
          type: integer
        weight:
          description: The products weight in grams
          minimum: 0
          type: integer
        width:
          description: The products width in millimeter
          minimum: 0
          type: integer
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.Product:
      properties:
        attributes:
          description: Product attributes
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute
          type: array
        brand:
          allOf:
            - $ref: >-
                #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductBrand
          description: Brand of the product
        categories:
          description: Associated categories
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductCategory
          type: array
        channel_statuses:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductChannelStatus
          type: array
        collections:
          description: Associated collections
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductCollection
          type: array
        created_at:
          description: Creation timestamp
          type: string
        custom:
          additionalProperties:
            type: string
          type: object
        description:
          description: Description of the product
          type: string
        exclude_from_feeds:
          description: If the products should exist in feeds or not
          type: boolean
        files:
          description: Product files
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.File
          type: array
        html_description:
          description: Html description
          type: string
        html_short_description:
          description: Html short description
          type: string
        id:
          description: Product ID
          type: string
        images:
          description: Images of the product
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.ImageWithPriority
          type: array
        market_status:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.MarketStatus
          type: array
        markets:
          description: Associated markets
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Market
          type: array
        meta_description:
          description: Meta description for SEO
          type: string
        meta_title:
          description: Meta title for SEO
          type: string
        package_dimensions:
          allOf:
            - $ref: >-
                #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Dimensions
          description: The package dimensions
        product_dimensions:
          allOf:
            - $ref: >-
                #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Dimensions
          description: The products dimensions
        product_name:
          description: VariantName of the product
          type: string
        product_number:
          description: Product number
          type: string
        product_type:
          description: Product type
          type: string
        redirects:
          description: Product redirects
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Redirects
          type: array
        relations:
          description: Product relations
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Relation
          type: array
        schedules:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Job
          type: array
        short_description:
          description: Short description of the product
          type: string
        slug:
          description: Slug for the product
          type: string
        source_app_id:
          type: string
        source_id:
          type: string
        status:
          description: Status of the product
          type: string
        tags:
          description: Product tags
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductTag
          type: array
        tax_group_id:
          description: The id of the tax group
          type: string
        third_part_links:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.ThirdPartyLink
          type: array
        translations:
          allOf:
            - $ref: >-
                #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductTranslations
          description: Product translations
        updated_at:
          description: Last updated timestamp
          type: string
        variant_groups:
          description: Variant groups with images, attributes, videos
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.VariantGroup
          type: array
        variants:
          description: Product variants
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Variant
          type: array
        videos:
          description: Videos of the product
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Video
          type: array
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute:
      properties:
        created_at:
          type: string
        description:
          type: string
        filterable:
          type: boolean
        id:
          type: string
        key:
          type: string
        name:
          type: string
        template_key:
          type: string
        template_name:
          type: string
        translatable:
          type: boolean
        translations:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.AttributeTranslations
        updated_at:
          type: string
        values:
          additionalProperties:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.AttributeValue
          type: object
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductBrand:
      properties:
        address:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.BrandAddress
        email:
          type: string
        id:
          type: string
        name:
          type: string
        series:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductSeries
        slug:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductCategory:
      properties:
        attributes:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute
          type: array
        children:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Category
          type: array
        cover_url:
          type: string
        created_at:
          type: string
        google_product_category_id:
          type: string
        id:
          type: string
        is_main_category:
          type: boolean
        name:
          type: string
        order:
          type: integer
        parent_id:
          type: string
        redirects:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Redirects
          type: array
        slug:
          type: string
        sort_order:
          description: Used for ordering categories themselves
          type: integer
        status:
          type: string
        translations:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.CategoryTranslations
        updated_at:
          type: string
        uri:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductChannelStatus:
      properties:
        channel_id:
          type: string
        channel_slug:
          type: string
        status:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductCollection:
      properties:
        children:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Collection
          type: array
        created_at:
          type: string
        id:
          type: string
        order:
          type: integer
        parent_id:
          type: string
        redirects:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Redirects
          type: array
        slug:
          type: string
        status:
          enum:
            - active
            - inactive
            - draft
          type: string
        title:
          type: string
        translations:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.CollectionTranslation
        updated_at:
          type: string
        uri:
          type: string
      required:
        - slug
        - status
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.File:
      properties:
        attributes:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute
          type: array
        created_at:
          type: string
        folder_id:
          type: string
        id:
          type: string
        public:
          type: boolean
        title:
          type: string
        translations:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.FileTranslation
        type:
          type: string
        updated_at:
          type: string
        url:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.ImageWithPriority:
      properties:
        alt:
          type: string
        app_id:
          type: string
        attributes:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute
          type: array
        blurhash:
          type: string
        copyright:
          type: string
        custom:
          additionalProperties:
            type: string
          type: object
        folder_id:
          type: string
        id:
          type: string
        parent_id:
          type: string
        priority:
          type: integer
        public:
          type: boolean
        source_app_id:
          type: string
        source_id:
          type: string
        status:
          type: string
        title:
          type: string
        translations:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.ImageTranslation
        url:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.MarketStatus:
      properties:
        created_at:
          type: string
        market_id:
          type: string
        market_slug:
          type: string
        status:
          type: string
        store_group_id:
          type: string
        store_group_slug:
          type: string
        updated_at:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.Market:
      properties:
        active:
          type: boolean
        country_codes:
          items:
            type: string
          type: array
        created_at:
          type: string
        currency_code:
          type: string
        id:
          type: string
        locale:
          type: string
        name:
          type: string
        slug:
          type: string
        updated_at:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.Redirects:
      properties:
        id:
          type: string
        item_id:
          type: string
        locale:
          type: string
        new_slug:
          type: string
        old_slug:
          type: string
        type:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.RedirectType
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.Relation:
      properties:
        direction:
          type: string
        id:
          type: string
        primary_product_id:
          type: string
        products:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.RelationProduct
          type: array
        title:
          type: string
        type:
          type: string
        type_id:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.Job:
      properties:
        add_category_names:
          items:
            type: string
          type: array
        add_collection_names:
          items:
            type: string
          type: array
        add_tag_names:
          items:
            type: string
          type: array
        execute_at:
          description: Date when the job should run
          type: string
        finished_at:
          description: If a job is finished will this timestamp be filled
          type: string
        group_id:
          type: string
        id:
          type: string
        item_id:
          type: string
        item_name:
          type: string
        item_type:
          type: string
        remove_category_names:
          items:
            type: string
          type: array
        remove_collection_names:
          items:
            type: string
          type: array
        remove_tag_names:
          items:
            type: string
          type: array
        to_amount_cents_with_tax:
          type: integer
        to_market_id:
          type: string
        to_market_status:
          type: string
        to_on_sale:
          type: boolean
        to_sale_amount_cents_with_tax:
          type: integer
        to_start_sale_timestamp:
          type: string
        to_status:
          type: string
        to_stop_sale_timestamp:
          type: string
        to_store_group_id:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductTag:
      properties:
        attributes:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute
          type: array
        created_at:
          type: string
        filterable:
          type: boolean
        id:
          type: string
        key:
          type: string
        markets:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Market
          type: array
        name:
          type: string
        order:
          type: integer
        schedules:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Job
          type: array
        source_app_id:
          type: string
        source_id:
          type: string
        status:
          type: string
        translations:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.TagTranslations
        updated_at:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.ThirdPartyLink:
      properties:
        created_at:
          type: string
        id:
          type: string
        title:
          type: string
        type:
          type: string
        updated_at:
          type: string
        url:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductTranslations:
      properties:
        description:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
        html_description:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
        html_short_description:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
        meta_description:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
        meta_title:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
        name:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
        short_description:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
        slug:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.VariantGroup:
      properties:
        attributes:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.VariantGroupAttribute
          type: array
        channel_statuses:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.VariantGroupChannelStatus
          type: array
        created_at:
          type: string
        id:
          type: string
        images:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.ImageWithPriority
          type: array
        name:
          type: string
        priority:
          type: integer
        product_id:
          type: string
        slug:
          type: string
        tags:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductTag
          type: array
        translations:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.VariantGroupTranslations
        updated_at:
          type: string
        variants:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.VariantGroupVariant
          type: array
        videos:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Video
          type: array
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.Variant:
      properties:
        attributes:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute
          type: array
        created_at:
          type: string
        custom_fields:
          additionalProperties:
            type: string
          type: object
        id:
          type: string
        images:
          description: Images of the product
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.ImageWithPriority
          type: array
        listings:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.VariantListings
        parent_product_id:
          type: string
        purchase_price:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.PurchasePrice
        shipping_attributes:
          items:
            type: string
          type: array
        source_app_id:
          type: string
        source_id:
          type: string
        status:
          type: string
        store_group:
          description: Product StoreGroup
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductVariantStoreGroupWithPrices
          type: array
        tags:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Tag
          type: array
        translations:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductVariantTranslations
        updated_at:
          type: string
        validate_stock:
          type: boolean
        variant_dimensions:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Dimensions
        variant_group_id:
          type: string
        variant_name:
          type: string
        variant_number:
          type: string
        videos:
          description: Videos of the product
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Video
          type: array
        warehouse_variant_stock:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.WarehouseVariantStock
          type: array
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.Video:
      properties:
        attributes:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute
          type: array
        description:
          type: string
        folder_id:
          type: string
        id:
          type: string
        path:
          type: string
        public:
          type: boolean
        status:
          type: string
        title:
          type: string
        translations:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.VideoTranslations
        variants:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.VideoVariant
          type: array
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.AttributeTranslations:
      properties:
        description:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
        name:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.AttributeValue:
      properties:
        field_id:
          type: string
        id:
          type: string
        image_id:
          type: string
        image_object:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Image
        translations:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.AttributeValueTranslations
        type:
          type: string
        value:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.BrandAddress:
      properties:
        city:
          type: string
        co_address:
          type: string
        country:
          type: string
        house_number:
          type: string
        postal_code:
          type: string
        state_province:
          type: string
        street_address:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductSeries:
      properties:
        id:
          type: string
        name:
          type: string
        slug:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.Category:
      properties:
        attributes:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute
          type: array
        children:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Category
          type: array
        cover_url:
          type: string
        created_at:
          type: string
        google_product_category_id:
          type: string
        id:
          type: string
        name:
          type: string
        parent_id:
          type: string
        redirects:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Redirects
          type: array
        slug:
          type: string
        sort_order:
          description: Used for ordering categories themselves
          type: integer
        status:
          type: string
        translations:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.CategoryTranslations
        updated_at:
          type: string
        uri:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.CategoryTranslations:
      properties:
        name:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
        slug:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.Collection:
      properties:
        children:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Collection
          type: array
        created_at:
          type: string
        id:
          type: string
        parent_id:
          type: string
        redirects:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Redirects
          type: array
        slug:
          type: string
        status:
          enum:
            - active
            - inactive
            - draft
          type: string
        title:
          type: string
        translations:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.CollectionTranslation
        updated_at:
          type: string
        uri:
          type: string
      required:
        - slug
        - status
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.CollectionTranslation:
      properties:
        slug:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
        title:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.FileTranslation:
      properties:
        title:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
        type:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.ImageTranslation:
      properties:
        alt:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
        copyright:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
        title:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.RedirectType:
      enum:
        - product
        - page
        - collection
        - category
        - product_bundle
      type: string
      x-enum-varnames:
        - ProductRedirect
        - PageRedirect
        - CollectionRedirect
        - CategoryRedirect
        - ProductBundleRedirect
    github_com_enadhq_nabbit_internal_pkg_webserver_models.RelationProduct:
      properties:
        description:
          type: string
        id:
          type: string
        image_url:
          type: string
        product_name:
          type: string
        product_number:
          type: string
        slug:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.TagTranslations:
      properties:
        name:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation:
      properties:
        id:
          type: string
        locale:
          type: string
        value:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.VariantGroupAttribute:
      properties:
        attribute_id:
          type: string
        attribute_key:
          type: string
        attribute_name:
          type: string
        template_key:
          type: string
        template_name:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.VariantGroupChannelStatus:
      properties:
        channel_id:
          type: string
        channel_slug:
          type: string
        status:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.VariantGroupTranslations:
      properties:
        name:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
        slug:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.VariantGroupVariant:
      properties:
        id:
          type: string
        status:
          type: string
        variant_name:
          type: string
        variant_number:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.VariantListings:
      properties:
        smart:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.VariantListing
          type: array
        static:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.VariantListing
          type: array
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.PurchasePrice:
      properties:
        currency:
          type: string
        value_cents:
          type: integer
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductVariantStoreGroupWithPrices:
      properties:
        created_at:
          type: string
        id:
          type: string
        name:
          type: string
        prices:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductVariantPrice
          type: array
        slug:
          type: string
        store_type:
          type: string
        updated_at:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.Tag:
      properties:
        attributes:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute
          type: array
        created_at:
          type: string
        filterable:
          type: boolean
        id:
          type: string
        key:
          type: string
        markets:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Market
          type: array
        name:
          type: string
        schedules:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Job
          type: array
        source_app_id:
          type: string
        source_id:
          type: string
        status:
          type: string
        translations:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.TagTranslations
        updated_at:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductVariantTranslations:
      properties:
        name:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.WarehouseVariantStock:
      properties:
        available_online:
          type: boolean
        created_at:
          type: string
        id:
          type: string
        inventory_date:
          type: string
        quantity:
          type: integer
        updated_at:
          type: string
        warehouse_name:
          type: string
        warehouse_slug:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.VideoTranslations:
      properties:
        description:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
        title:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.VideoVariant:
      properties:
        format:
          type: string
        height:
          type: integer
        url:
          type: string
        width:
          type: integer
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.Image:
      properties:
        alt:
          type: string
        app_id:
          type: string
        attributes:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute
          type: array
        blurhash:
          type: string
        copyright:
          type: string
        custom:
          additionalProperties:
            type: string
          type: object
        folder_id:
          type: string
        id:
          type: string
        parent_id:
          type: string
        public:
          type: boolean
        source_app_id:
          type: string
        source_id:
          type: string
        status:
          type: string
        title:
          type: string
        translations:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.ImageTranslation
        url:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.AttributeValueTranslations:
      properties:
        value:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.VariantListing:
      properties:
        id:
          type: string
        slug:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductVariantPrice:
      properties:
        amount_cents_with_tax:
          type: integer
        created_at:
          type: string
        id:
          type: string
        market:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Market
        on_sale:
          type: boolean
        reference_price_with_tax:
          type: integer
        sale_end_timestamp:
          type: string
        sale_price_with_tax:
          type: integer
        sale_start_timestamp:
          type: string
        status:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.PriceStatus
        updated_at:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.PriceStatus:
      enum:
        - active
        - inactive
        - draft
      type: string
      x-enum-varnames:
        - ActivePrice
        - InActivePrice
        - DraftPrice

````